// ----------------------------------------------------------------------
// StartUp! - About window
//
// Copyright © 2000 Arcane Dragon Software (arcanedragon@pobox.com)
//
// Display and manage the About window.
// ----------------------------------------------------------------------

#ifndef StartUp_AboutWindow_H
#define StartUp_AboutWindow_H

#include "MWindow.h"

class BFileGameSound;

class AboutWindow : public MWindow
{
public:
	AboutWindow( void );
	virtual ~AboutWindow( void );

	// BWindow methods
	virtual void MessageReceived( BMessage *msg );
	virtual bool QuitRequested( void );

private:
	AboutWindow( const AboutWindow& );				// don't copy me
	AboutWindow& operator=( AboutWindow& );			// don't assign me

	size_t _size;									// Used for loading resources

	BFileGameSound *_sfx;							// a little fun

	const char *VersionVariety( uint32 variety );	// convert to string
};

#endif
