// ----------------------------------------------------------------------
// AppIconMenu - a BMenu using the app's icon
//
// Copyright © 2000 Arcane Dragon Software (arcanedragon@pobox.com)
// ----------------------------------------------------------------------

#ifndef AppIconMenu_H
#define AppIconMenu_H

#include <interface/MenuItem.h>

class BBitmap;
class BMenu;

class AppIconMenu : public BMenuItem
{
public:
	AppIconMenu( BMenu *menu );
	virtual ~AppIconMenu( void );

	// BMenuItem methods
	virtual void GetContentSize( float *width, float *height );
	virtual void DrawContent( void );

private:
	AppIconMenu( const AppIconMenu& );				// don't copy me
	AppIconMenu& operator=( AppIconMenu& );			// don't assign me

	BBitmap *_icon;
};

#endif
