// ----------------------------------------------------------------------
// StartupColumnList - StartUp!'s Column List view
//
// Copyright © 2000 Arcane Dragon Software (arcanedragon@pobox.com)
// ----------------------------------------------------------------------

#include "StartupColumnList.h"
#include "StartupItem.h"

#include <app/Message.h>
#include <stdio.h>
#include <string.h>

StartupColumnList::StartupColumnList( BRect frame, CLVContainerView **container )
	: ColumnListView( frame,  container, "column list view",
					  B_FOLLOW_ALL,
					  B_WILL_DRAW | B_FRAME_EVENTS | B_NAVIGABLE,
					  B_SINGLE_SELECTION_LIST,
					  false,			// we are not hierarchical
					  true, true,		// we want both scrollers
					  true,				// need the scroll corner
					  B_FANCY_BORDER,
					  be_plain_font )
{
	SetInvocationMessage( new BMessage( ITEM_INVOKED ) );
	SetSelectionMessage( new BMessage( ITEM_SELECTED ) );
}

StartupColumnList::~StartupColumnList( void )
{
}
