// ----------------------------------------------------------------------
// StartupColumnList - StartUp!'s Column List view
//
// Copyright © 2000 Arcane Dragon Software (arcanedragon@pobox.com)
// ----------------------------------------------------------------------

#ifndef StartupColumnList_H
#define StartupColumnList_H

#include "ColumnListView.h"

enum {
	ITEM_SELECTED	= 'suI+',
	ITEM_INVOKED	= 'suI!',
};

class StartupColumnList : public ColumnListView
{
public:
	StartupColumnList( BRect frame, CLVContainerView **container );
	virtual ~StartupColumnList( void );

private:
	StartupColumnList( const StartupColumnList& );				// don't copy me
	StartupColumnList& operator=( StartupColumnList& );			// don't assign me
};

#endif
