// ----------------------------------------------------------------------
// StartupSettings - StartUp!'s custom settings file
//
// Copyright © 2000 Arcane Dragon Software (arcanedragon@pobox.com)
// ----------------------------------------------------------------------

#ifndef StartupSettings_H
#define StartupSettings_H

#include "SettingsFile.h"

#include <interface/Point.h>
#include <interface/Rect.h>

class StartupSettings : public SettingsFile
{
public:
	StartupSettings( void );
	virtual ~StartupSettings( void );

	// StartupSettings methods
	int32 CheckRuns( void );
	
	void SavePoint( const char *name, BPoint pos );
	void SaveRect( const char *name, BRect rect );

private:
	StartupSettings( const StartupSettings& );				// don't copy me
	StartupSettings& operator=( StartupSettings& );			// don't assign me
};

#endif
